-- Эпизод 1.


-- *** *** *** *** *** --
--       Объекты       --
-- *** *** *** *** *** --

craneHotShare = obj {
	nam = 'Общий кран с горячей водой';
	var {
		status = false;		-- Кран включен/выключен. true/false.
	};
	act = function(s)
		p 'Я переключил кран.';
		if not s.status then
			s.status = true;
		else
			s.status = false;
		end;
	end;
	dsc = function(s)
		if not s.status then
			p '{Общий кран с горячей водой} выключен.';
		else
			p '{Общий кран с горячей водой} включен.';
		end;
	end;
};

craneColdShare = obj {
	nam = 'Общий кран с холодной водой';
	var {
		status = false;		-- Кран включен/выключен. true/false.
	};
	act = function(s)
		p 'Я переключил кран.';
		if not s.status then
			s.status = true;
		else
			s.status = false;
		end;
	end;
	dsc = function(s)
		if not s.status then
			p '{Общий кран с холодной водой} выключен.';
		else
			p '{Общий кран с холодной водой} включен.';
		end;
	end;
};

waterSwitch2 = obj {
	nam = 'Переключатель 2';
	var {
		status = false;		-- Переключатель включен/выключен. true/false.
	};
	act = function(s)
		p 'Я щёлкнул переключатель.';
		if not s.status then
			s.status = true;
		else
			s.status = false;
		end;
	end;
	dsc = function(s)
		if not s.status then
			p '{Переключатель 2} выключен.';
		else
			p '{Переключатель 2} включен.';
		end;
	end;
};

waterSwitch1 = obj {
	nam = 'Переключатель 1';
	var {
		status = false;		-- Переключатель включен/выключен. true/false.
	};
	act = function(s)
		p 'Я щёлкнул переключатель.';
		if not s.status then
			s.status = true;
		else
			s.status = false;
		end;
	end;
	dsc = function(s)
		if not s.status then
			p '{Переключатель 1} выключен.';
		else
			p '{Переключатель 1} включен.';
		end;
	end;
};

craneHot = obj {
	nam = 'Кран с горячей водой';
	var {
		status = false;		-- Кран включен/выключен. true/false.
	};
	act = function(s)
		p 'Я переключил кран.';
		if not s.status then
			s.status = true;
		else
			s.status = false;
		end;
	end;
	dsc = function(s)
		if not s.status then
			p '{Кран с горячей водой} выключен.';
		else
			p '{Кран с горячей водой} включен.';
		end;
	end;
};

craneCold = obj {
	nam = 'Кран с холодной водой';
	var {
		status = false;		-- Кран включен/выключен. true/false.
	};
	act = function(s)
		p 'Я переключил кран.';
		if not s.status then
			s.status = true;
		else
			s.status = false;
		end;
	end;
	dsc = function(s)
		if not s.status then
			p '{Кран с холодной водой} выключен.';
		else
			p '{Кран с холодной водой} включен.';
		end;
	end;
};

shower = obj {
	nam = 'душ';
	act = function()
		-- Проверяем водонагреватель.
		p 'Глянем на водонагреватель...';
		if craneColdShare.status and
			not craneHotShare.status and
			waterSwitch1.status then
				waterHeater.status = true;
		else
			waterHeater.status = false;
		end;
		if waterHeater.status then
			p 'Работает. Порядок.';
		else
			p 'Не работает. Не порядок.';
		end;
		-- Пытаемся включить душ.
		p 'Я попытался включить душ.';
		if waterHeater.status and
			not waterSwitch2.status and
			craneCold.status and
			craneHot.status then
			p 'Душ наконец включился и я смыл с себя пыльцу.';
			remove ( 'pollen', me() );
			postManagerDlg:pon('sendArtifact');
			walk('floor2');
		else
			p 'Душ не работает.';
		end;
	end;
	dsc = 'В углу расположен {душ}.';
};

waterHeater = obj {
	nam = 'Водонагреватель';
	var {
		status = false;		-- Водонагреватель включен/выключен. true/false.
	};
	act = function(s)
		p 'Я попытался включить водонагреватель.';
		if not s.status and
			craneColdShare.status and
			not craneHotShare.status and
			waterSwitch1.status then
				s.status = true;
		else
			s.status = false;
		end;
	end;
	dsc = function(s)
		if not s.status then
			p '{Водонагреватель} выключен.';
		else
			p '{Водонагреватель} включен.';
		end;
	end;
};

ambryTable = obj {
	nam = 'табличка';
	act = 'Судя по табличке, один из переключателей переключает (что, в общем-то, логично) воду на душ. Сама же вода идёт через водонагреватель. Осталось теперь как-то включить всю эту систему.';
	dsc = 'На дверке шкафчика приклеена {табличка}.';
};

paperPassword = obj {
	nam = 'бумажка с паролем';
	inv = 'На этом небольшом клочке бумаги написано "password_for_lock_123". Похоже на очень сложный пароль.';
};

pictureOnTheFloor = obj {
	nam = 'картина';
	act = 'Нарисовано очень натурально.';
	dsc = 'На полу лежит {картина}. На ней неизвестным мастером нарисованы ромашки.';
}: disable();

picture = obj {
	nam = 'картина';
	act = 'Картина то ли приклеена, то ли прикручена. Не отрывается никак.';
	dsc = 'На стене висит {картина}. На ней неизвестным мастером нарисованы ромашки.';
	used = function (s, w)
		if w == turn_screw then
			p 'Путём правильного применения отвёртки мне удалось оторвать картину от стены. Положив это чудо современной живописи на пол, я заметил, что за картиной оказывается был сейф.';
			disable(picture);
			enable(pictureOnTheFloor);
			enable('safeRoom');
		end;
	end;
};

unknownSwitch = obj {
	nam = 'неизвестный переключатель';
	var {
		status = true;		-- Переключатель включен/выключен. true/false.
	};
	act = 'Не. Руками его сдвинуть не удастся. Похоже, что он уже прирос к трубе.';
	dsc = 'На стене у входа видна сеть водопроводных труб. На одной из них виднеется {неизвестный переключатель}.';
	used = function (s, w)
		if w == spanner then
			if s.status then
				p 'Я применил гаечный ключ. Немного усилий - и переключатель поддался. Теперь он в положении "выкл".';
				s.status = false;
				disable(womanAdministrator);
				enable(womanAdministratorNearFountain);
			else
				p 'Я применил гаечный ключ. Немного усилий - и ключ сломался.';
				remove( 'spanner', me() );
			end;
		else
			p 'Похоже, тут нужен более тонкий подход.';
		end;
	end;
};

turn_screw = obj {
	nam = 'отвёртка';
	inv = 'Ну, собственно, обычная отвёртка. Можно что-нибудь открутить. А можно и наоборот.';
	tak = 'Я взял отвёртку.';
	dsc = 'На столе лежит {отвёртка}.';
};


temporaryPass = obj {
	nam = 'временный пропуск';
	inv = 'Временный пропуск для входа на территорию завода.';
};

pollen = obj {
	nam = 'пыльца';
	inv = 'Эта пыльца сильно обжигает лицо и руки. Необходимо смыть её как можно скорее.';
};

artifact = obj {
	nam = 'артефакт';
	tak = function()
		p 'Я взял артефакт. В то же мгновение комната стала наполняться какой-то пыльцой. Она сильно жгла лицо и руки. Становилось трудно дышать. Необходимо было как можно быстрее выйти на свежий воздух и смыть с себя эту заразу...';
		take ('pollen');
		walk('enterToTheHotel');
		disable('enterToFactory');
	end;
	dsc = 'На столе стоял какой-то {артефакт}. Он переливался всеми цветами радуги. Похоже, я нашёл то, что было нужно. Оставалось только взять его и отправить шефу.';
};

chair = obj {
	nam = 'стул';
	tak = 'Я взял стул.';
	dsc = 'В коридоре одиноко стоит {стул}.';
};

extension = obj {
	nam = 'удлинитель';
	tak = 'Я взял удлинитель.';
	dsc = 'Компьютер секретарши включён в сеть через {удлинитель}.';
}: disable();

socket = obj {
	nam = 'электрическая розетка';
	isWork = 'no';
	act = 'Интересно, чем руководствовались электрики?';
	dsc = function()
		if socket.isWork == 'no' then
			p 'У самого потолка приспособлена {электрическая розетка}. Внизу из-под плинтуса выглядывает вилка.';
		else
			p 'У самого потолка приспособлена {электрическая розетка}. Она соединена удлинителем с вилкой внизу.';
		end;
	end;
	used = function (s, w)
		if w == extension then
			if have(chair) then
				p 'Я встал на стул и подключил удлинитель.';
				remove ( 'extension', me() );
				remove ( 'chair', me() );
				socket.isWork = 'yes';
			else
				p 'Розетка находится у самого потолка. Боюсь, что я не допрыгну.';
			end;
		end;
	end;
};

chocolate = obj {
	nam = 'экспериментальная шоколадка';
	inv = 'Шоколад экспериментальный. Возможны побочные эффекты.';
};

unknownDevice = obj {
	nam = 'непонятный прибор';
	act = function()
		if not have(chocolate) then
			p 'Я внимательно осмотрел прибор и нашёл нечто, обёрнутое в фольгу. Судя по надписи, это экспериментальная шоколадка.';
			take ('chocolate');
		else
			p 'Я внимательно осмотрел прибор, но ничего интересного не нашёл.';
		end;
	end;
	dsc = 'На столе стоит какой-то {непонятный прибор}.';
};

codeLock = obj {
	nam = 'кодовый замок';
	act = function()
		if socket.isWork == 'no' then
			p 'Похоже, что замок не работает.';
		else
			walkin 'codeLockDlg';
		end;
	end;
	dsc = 'Из этой комнаты есть ещё один выход. Но он закрыт. Рядом на стене расположен электронный {кодовый замок}.';
};

boardPUP = obj {
	nam = 'победители ПУП';
	act = [[
	Победители ПУП ("Пришел. Увидел. Победил."):^^
	1. Станкевич  И.И.^^
	2. Веселова Т.И.^^
	3. Иванов П.П.^^]];
	dsc = 'Список "{победители ПУП}".';
};

boardPoems = obj {
	nam = '{Отрывок из журнала}';
	act = [[
	Товарищ, помни,^^
	Стар ты или молод:^^
	Скажешь громко "серп" --^^
	В ответ услышишь "молот"!^^]];
	dsc = '{Отрывок из журнала} "Новый стих".';
};

boardVacancies = obj {
	nam = '{Список вакансий}';
	act = function()
	p [[
	Требуются на работу:^^
	1. Водитель-проектировщик 5 разряда (опыт работы -- не менее 25 лет).^^
	2. Младший помощник 2-го заместителя директора по охране общественного мировоззрения (образование не ниже среднего).^^
	3. Няня (вахтовый метод).^^]];
		if not have(temporaryPass) then
			securityDlg:pon('onWork');
		end;
	end;
	dsc = 'Чуть ниже висит "{Список вакансий}."';
};

room207 = obj {
	nam = 'номер 207';
	act = 'Только я подошёл к двери номера 207, как оттуда выглянуло серьёзное мужское лицо. Решив не испытывать судьбу, я вернулся обратно.';
	dsc = 'Дверь в {номер 207} приоткрыта.';
};

flower = obj {
	nam = 'цветок';
	act = function()
		p 'Осмотрев цветок, ничего интересного я не обнаружил. Не мешало бы только его полить.';
	end;
	dsc = 'На столе стоит красивый {цветок} в горшке.';
};

blinds = obj {
	nam = 'шторы';
	var {
		isOpen = false; -- Шторы открыты/закрыты. true/false.
	};
	act = function(s)
		if s.isOpen then
			p 'Я закрыл шторы.';
			s.isOpen = false;
			if not have(coil) then
				disable(coil);
			end;
		else
			p 'Я открыл шторы.';
			s.isOpen = true;
			if not have(coil) then
				enable(coil);
			end;
		end;
	end;
	dsc = function(s)
		if s.isOpen then
			p 'Массивные {шторы} открыты.';
		else
			p 'Массивные {шторы} закрывают всё окно.';
		end;
	end;
};

coil = obj {
	nam = 'змеевик';
	inv = 'Отличный змеевик.';
	dsc = 'На подоконнике лежит {змеевик}. Интересно, как он сюда попал?';
	tak = 'Я взял змеевик.';
}: disable();

postMessageOk = obj {
	nam = 'расшифрованное письмо';
	inv = function()
		p [[Ну что же. Интересно, что там...^^
	*** *** *** *** ***^^
	<<Извини, что пришлось все подробности отправлять письмом. Дело в том, что на тебя возлагается секретная и опасная, но очень важная миссия. Теперь ты понимаешь, что тебя не просто так отправили в отпуск.^^
	Так вот. Миссия твоя заключается в следующем. Недалеко от гостиницы, где ты находишься, есть завод "Другой путь". Они - наши главные конкуренты. Поступила информация, что эти ушлые парни придумали что-то необычайно интересное. Выясни, что это и, если получится добудь образец.^^
	P.S. Хорошего отдыха!^^
	^^
	Шеф>>^^
	*** *** *** *** ***^^
	^^
	Это всё, конечно, хорошо. Только вот где этот "Другой путь" ?^^]]
	enable('enterToFactory');
	end;
};

coil = obj {
	nam = 'змеевик';
	inv = 'Отличный змеевик.';
	dsc = 'На подоконнике лежит {змеевик}. Интересно, как он сюда попал?';
	tak = 'Я взял змеевик.';
}: disable();

emptyGlass = obj {
	nam = 'пустой стакан';
	inv = 'Пустой гранёный стакан.';
	dsc = 'На полке стоит {пустой стакан}.';
	tak = 'Стакан - вещь нужная. Заберу, пожалуй.';
};

fullGlass = obj {
	nam = 'стакан с мутноватой жидкостью';
	var {
		step = 0; -- степень опьянения. 0 - трезвый. 1 - чуть выпимши. 2 и больше - "хороший".
	};
	inv = function(s)
		if s.step < 2 then
			s.step = s.step + 1;
		end;
		p 'Я выпиваю содержимое.';
		if s.step == 1 then
			p 'Чувствуется лёгкая степень опьянения.';
		end;
		if s.step == 2 then
			p 'Самогон туманит разум. Мысли текут медленно и размеренно. Романтик смотрит на меня с воодушевлением.';
			if have(postMessage) then
				romantikDlg:pon('getNewMessage');
			end;
		end;
		take ('emptyGlass');
		remove ('fullGlass', me() );
	end;
};

alcoholMashine = obj {
	nam = 'самогонный аппарат';
	var {
		status = false;		-- Самогонный аппарат работает/не работает. true/false.
	};
	act = 'Аппарат для приготовления самогона "Нандус-1500". Новейшая модель и блестящая реализация.';
	dsc = 'На столе, на самом почётном месте гордо возвышается {самогонный аппарат}.';
	used = function (s, w)
		if w == coil then
			p 'Я вставил змеевик в аппарат.';
			remove ('coil', me() );
			s.isWorked = true;
			p 'Аппарат заработал. Тело с трудом поднялось с пола, достало из-за пазухи дежурный стакан и наполнило его целительной жидкостью. Опустошив залпом содержимое и немного придя в себя, село на стул.';
			disable(body);
			enable(romantik);
		end;
		-- Если аппарат работает.
		if w == emptyGlass and s.isWorked then
			p 'Аппарат булькнул, вздохнул и налил в стакан дозу мутноватой жидкости.';
			take ('fullGlass');
			remove ('emptyGlass', me() );
		end;
		-- Если аппарат не работает.
		if w == emptyGlass and not s.isWorked then
			p 'Сей чудесный аппарат не работает. Похоже, в этой конструкции чего-то не хватает.';
		end;
	end;
};

switch = obj {
	nam = 'выключатель';
	var {
		status = false;		-- Состояние выключателя: включен/выключен. true/false.
		useCount = 0;		-- Количество включений.
	};
	act = function(s)
		p 'Я щёлкнул выключателем.';
		if have(respirator) and not switch.status then
				s.useCount = s.useCount + 1;
		end;
		-- Если выключатель выключен, лампа вкручена и не перегорела, но нащёлкан лимит по включениям.
		-- При этом противогаз уже взят.
		if not s.status and lampSocket.useLamp and lampSocket.lampWork and s.useCount > 2 and have(respirator)  then
			p 'Внезапно, лампочка моргнула на прощание и приказала долго жить. В помещении опять воцарился полумрак.';
			s.status = false;
			lampSocket.lampWork = false;
		-- Если выключатель выключен, лампа вкручена и не перегорела, и не нащёлкан лимит по включениям.
		elseif not s.status and lampSocket.useLamp and lampSocket.lampWork and s.useCount <= 2  then
			p 'В помещении загорелся слабый свет от лампы. Он осветил стеллажи с многочисленными полками.';
			if not have(respirator) then
				enable(respirator);
			end;
			s.status = true;
		-- Если выключатель включен, лампа вкручена и не перегорела.
		elseif s.status and lampSocket.useLamp and lampSocket.lampWork  then
			p 'В помещении опять воцарился полумрак.';
			if not have(respirator) then
				disable(respirator);
			end;
			s.status = false;
		-- Если лампа не вкручена или перегорела.
		elseif not lampSocket.useLamp or not lampSocket.lampWork  then
			p 'Однако, светлее от этого не стало.';
		end;
	end;
	dsc = 'У входа на стене {выключатель}.';
};

lampSocket = obj {
	nam = 'патрон';
	var {
		useLamp = false;	-- Лампа вкручена/не вкручена. true/false.
		lampWork = true;	-- Лампа рабочая/нерабочая. true/false.
	};
	act = function(s)
		-- Лампа вкручена и она рабочая.
		if s.useLamp and s.lampWork then
			p 'В патрон вкручена лампа.';
		-- Лампа вкручена и она не рабочая.
		elseif s.useLamp and not s.lampWork then
			p 'В патрон вкручена лампа. Но, похоже, она перегорела.';
		-- Лампа не вкручена.
		else
			p 'В патроне отсутствует лампа.';
		end;
	end;
	used = function(s, w)
		if w == lamp then
			s.useLamp = true;
			p 'Я вкрутил лампу в патрон.';
			remove ('lamp', me() );
		end;
	end;
	dsc = 'Рядом расположен {патрон} от лампы.';
};

respirator = obj {
	nam = 'противогаз';
	inv = 'Противогаз как противогаз.';
	dsc = 'На одной из полок лежит {противогаз}.';
	tak = 'Возьму, пожалуй. В хозяйстве всё сгодится.';
}: disable();

button1Lift = obj {
	nam = 'кнопка "1"';
	act = function()
		if lift.whereAmI == 1 then
			p 'Я же и так на первом этаже.';
		else
			p 'Я нажал на кнопку "1". Двери закрылись. Старенький лифт повёз меня вверх. Не успел я ознакомиться с настенной росписью, как лифт остановился и открыл двери.';
			lift.whereAmI = 1;
			path('выйти из лифта (1 этаж)'): enable();
			path('выйти из лифта (подвал)'): disable();
		end;
	end;
	dsc = 'Имеются: {кнопка "1"},';
};

button2Lift = obj {
	nam = 'кнопка "2"';
	act = 'Я нажал на кнопку "2". Двери закрылись. Лифт слегка подумал и загудел, но не сдвинулся с места. Раздался звук "фух!", наступила тишина и двери открылись.';
	dsc = '{кнопка "2"}';
};

buttonDownLift = obj {
	nam = 'кнопка "Вниз"';
	act = function()
		if lift.whereAmI == 0 then
			p 'Я же и так в подвале. Куда ещё ниже-то?';
		else
			p 'Я нажал на кнопку "Вниз". Двери закрылись. Старенький лифт повёз меня вниз. Не успел я ознакомиться с настенной расписью, как лифт остановился и открыл двери.';
			lift.whereAmI = 0;
			path('выйти из лифта (1 этаж)'): disable();
			path('выйти из лифта (подвал)'): enable();
		end;
	end;
	dsc = 'и {кнопка "Вниз".}';
};

lamp = obj {
	nam = 'лампочка';
	act = 'Я и так уже на первом этаже.';
	inv = 'Лампа накаливания. Одна штука.';
};

fullBucket = obj {
	nam = 'ведро с водой';
	inv = 'Ведро с водой из фонтана. Немного попахивает.';
};

emptyBucket = obj {
	nam = 'пустое ведро';
	inv = 'Обычное пустое ведро.';
};

documents = obj {
	nam = 'документы';
	act = 'Судя по вывеске, гостиница называется "Весенний бриз". Чуть ниже нарисовано 4 звезды. Две пятиугольных и две шести.';
	dsc = 'Мои документы.';
};

roomKey = obj {
	nam = 'ключ от номера';
	inv = 'Ключ от номера 205.';
};

roomKeys = obj {
	nam = 'связка ключей';
	inv = 'Связка ключей.';
	tak = function()
		-- Если фонтан не выключен.
		if unknownSwitch.status then
			p 'Что-то мне подсказывает, что администраторша не даст мне взять ключи.';
			return false;
		else
			p 'Я взял связку ключей.';
		end;
	end;
	dsc = 'На стене на гвоздике висит {связка ключей}.';
};

spanner = obj {
	nam = 'гаечный ключ';
	inv = 'Ключ на 12 и 3/4.';
	tak = 'Я взял гаечный ключ.';
	dsc = 'Тут же имеется {гаечный ключ}.';
};

bag = obj {
	nam = 'сумка';
	act = function()
		if have('documents') or have('roomKey') then
			p 'В сумке нет ничего полезного.';
		else
			p 'Порывшись в сумке, я нашел документы.';
			take ('documents');
			womanAdministratorDlg:poff('doc1');
			womanAdministratorDlg:poff('doc2');
			womanAdministratorDlg:pon('doc3');
			disable(bag);
		end;
	end;
	dsc = 'У меня на плече тяжелая {сумка}.';
};

cat = obj {
	nam = 'кот';
	act = 'Кот посмотрел на меня выпученными глазами, в которых читался немой вопрос "За что?".';
	dsc = 'На лабораторном столе стоят две клетки. В одной из них сидит {кот}.';
};

redButton = obj {
	nam = 'красная кнопка';
	act = 'Я нажал на красную кнопку. Тут же загудел неизвестный механизм. Послышался электрический треск и, ничего не понимающий кот, внезапно исчез из своей клетки и появился в другой. И не успел пушистый бедолага собраться с мыслями и осознать происходящее, как неведомая сила таким же макаром переместила его обратно.';
	dsc = 'На столе лежит пульт, на котором имеется только одна большая {красная кнопка}.';
};

childrenBook = obj {
	nam = 'книга "Стихи для детей"';
	act = function()
		p ('Я взял в руки книгу.');
		walk('childrenBookRead');
	end;
	dsc = 'На столике среди прочей макулатуры лежит {книга "Стихи для детей"}.';
};

title = obj {
	nam = 'вывеска';
	act = function()
		p ('Судя по вывеске, гостиница называется "Весенний бриз". Чуть ниже нарисовано 4 звезды. Две пятиугольных и две шести.');
	end;
	dsc = 'Прямо над входом, чуть с перекосом, прибита {вывеска}.';
};

advert = obj {
	nam = 'объявление';
	act = 'Посмотрим... <<Хостелу "Гламурная ольха" требуется самоотверженный стрессоустойчивый человек для тесной и, по-возможности, продуктивной работы с почтовым отделением.>> Хм... Бред какой-то.';
	dsc = 'На нём приклеено {объявление}.';
}: disable();

fullBucket = obj {
	nam = 'ведро с водой';
	inv = 'Ведро с водой из фонтана. Немного попахивает.';
	use = function (s,w)
		if w == fountain then
			p 'Я вылил воду';
		end;
	end;
};

fountain = obj {
	nam = 'фонтан';
	act = function()
		p 'Фонтан обычно нужен, чтобы давать прохладу и свежесть. Хотя, судя по запаху, свежесть - понятие относительное. На нём можно заметить приклеенный клочок бумаги.';
		enable(advert);
	end;
	dsc = function(s)
		if unknownSwitch.status then
			p 'Рядом с лавочкой находится небольшой красивый {фонтан}.';
		else
			p 'Рядом с лавочкой находится небольшой красивый {фонтан}. Но, в нём нет воды.';
		end;
	end;
	used = function (s, w)
		if w == emptyBucket then
			p 'Я набрал воды в ведро. Воняет, конечно, но для уборки пойдёт.';
			remove ('emptyBucket', me() );
			take ('fullBucket');
		elseif w == fullBucket then
			p 'Я вылил воду из ведра обратно в фонтан.';
			remove ('fullBucket', me() );
			take ('emptyBucket');
		else
			p 'Зачем всякий хлам в фонтан кидать?';
		end;
	end;
};

exampleBlank = obj {
	nam = 'образец';
	act = [[Образец заполнения бланка №718 для получения посылки.^^
	-- Харитонов Олег Игнатьевич^^
	-- "Гламурная ольха"^^
	-- 718^^
	-- (Размашистая подпись)^^
	-- (Прочерк)^^]];
	dsc = 'На стене висит пожелтевший от времени {образец} заполнения бланка.';
};

postMessage = obj {
	nam = 'странное письмо';
	inv = '..."агр"..."окхы"..."чувс"... Нда... Тут без стакана не разберёшься. А то и без двух. Тут нужен опытный алк... хм... дешифровщик.';
};

cleanBlank457 = obj {
	nam = 'чистый бланк №457';
	inv = function()
		p ('Этот чистый бланк №457, который нужно заполнить, чтобы получить письмо.');
	end;
};

fullBlank457 = obj {
	nam = 'заполненный бланк №457';
	inv = 'Это заполненный бланк №457, который нужен чтобы получить письмо.';
	var {
		g = {
			[1] = '';
			[2] = '';
			[3] = '';
			[4] = '';
			[5] = '';
		};
	};
};

pen = obj {
	nam = 'ручка';
	dsc = 'Рядом, на цепочке висит {ручка}.';
	act = 'Обычную шариковую ручку повесили на цепь. Видимо, чтобы благодарные посетители не прихватили.';
	used = function(s, w)
		if w == cleanBlank457 then
			walkin 'editBlank457Dlg';
		end;
	end;
};
