-- Эпизод 1.


-- *** *** *** *** *** --
--       Диалоги       --
-- *** *** *** *** *** --

securityDlg = dlg {
	nam = 'сторож';
	hideinv = true;
	entered = 'Я подошёл к сторожу.';
	phr = {
		{ always = true, 'Здравствуйте.',
						'-- И тебе не хворать. Чего надо?'};
		{ tag = 'goTo', false, always = true, 'Я хочу пройти на территорию.',
						'-- Зачем?'};
		{ tag = 'onWork', false, always = true, 'Хочу устроиться на работу.',
						'-- На работу, говоришь... Ну что ж. Это дело хорошее. Проходи. Вот тебе временный пропуск. Иди с ним в отдел кадров.', code [[	take('temporaryPass'); poff('onWork'); poff('goTo'); ]]};
		{ always = true, 'Я уже ухожу.',
						'', [[ back() ]] };
	};
};

codeLockDlg = dlg {
	nam = 'кодовый замок';
	hideinv = true;
	entered = function()
		p '-- Скажите пароль, пожалуйста.';
		if have(paperPassword) then
			poff('leftPassword');
			pon('rightPassword');
		end;
	end;
	phr = {
		{ tag = 'leftPassword', true, always = true, 'Эээ... "сундук" ?',
						'-- Неправильно. Пароль -- "танк". Хотя нет. Тоже не подходит.', [[ back() ]]; };
		{ tag = 'rightPassword', false, always = true, 'Эээ... "password_for_lock_123" ?',
						'-- Неправильно. Хотя нет. Правильно. Проходите.', code [[ walk('secretRoom'); ]]; };
	};
};

romantikDlg = dlg {
	nam = 'романтик';
	hideinv = true;
	entered = 'Я подошёл к Великому романтику.';
	exit = 'Я решил не мешать романтику.';
	phr = {
		{ always = true, 'Здравствуйте. Как вы себя чувствуете?',
						'-- Благодарю вас, сударь. Благодаря вашей заботе, я чувствую себя просто божественно.'};
		{ tag = 'getNewMessage', false, always = true, 'Ах, сударь. Не поймите меня неправильно, но не могли бы вы оказать мне небольшую услугу? Дело в том, что мне совершенно необходимо прочитать одно письмо, но, к сожалению, я не в силах это сделать.',
						'-- Конечно. Я посчитаю за честь помочь вам. Где же это письмо? Так... Минуточку... Вот. Держите. Я перевёл его для вас и записал каллиграфическим почерком.',[[
						poff('getNewMessage');
						take ('postMessageOk');
						remove ('postMessage', me() );
						remove ('emptyGlass', me() );]]};
		{ always = true, 'Ну что ж. Всего вам хорошего. Мне пора-с. Разрешите откланяться.',
						'', [[ back() ]] };
	};
};

cleaningManagerDlg = dlg {
	nam = 'уборщица';
	hideinv = true;
	entered = 'Я подошёл к уборщице.';
	phr = {
		{ always = true, 'Здравствуй, бабуль! Ты чего тут делаешь-то?',
						'-- Здравствуй, сынок. Не видишь что ли - полы мою. Я это... Как же... Клининг-менеджер я! Вот.'};
		{ always = true, 'Можно я пройду?',
						'-- Куды ж ты по-грязному-то? Сейчас помою, да пойдешь. Обожди пока тут.'};
		{ always = true, 'Мне бы в номер пройти...',
						'-- Успеешь! А то ходют тут, топчут..'};
		{ tag = 'get_bucket', always = true, 'Может помочь чем?',
						'-- Помочь-то? И то верно. Воды-то я не набрала в ведёрко-то. Сходи уж, принеси. Помоги бабушке, а?',[[ take('emptyBucket');
						poff('get_bucket'); ]]};
		{ always = true, 'Ну ладно. Я, пожалуй, пойду.',
						'', [[ back() ]] };
	};
};

womanAdministratorDlg = dlg {
	nam = 'тётка-администратор';
	hideinv = true;
	entered = 'Я подошёл к администраторше. Её глаза как-то подозрительно сверкнули.';
	exit = 'Я отошёл от этой тётки подальше.';
	phr = {
		{ always = true, 'Здравствуйте!',
						'-- Чего надо?!'};
		{ tag = 'hello2', always = true, 'Мне бы заселиться бы..',
						'-- Местов нет!'};
		{ tag = 'doc1', always = true, 'На меня забронирован номер.',
						'-- Документы покажи!',
						[[
						poff('doc1');
						pon('doc2');
						]]};
		{ tag = 'doc2', false, always = true, 'Нет у меня документов. Пустите, тётенька, переночевать?',
						'-- Юморист что ли? А ну гуляй отсюда!'};
		{ tag = 'doc3', false, always = true, 'Я хочу заселиться. Вот мои документы.',
						[[-- Документы? Давай сюда. Посмотрим... Так... Да. Всё верно. Вот ключ. Значит так. В постели не курить! Баб не приводить! По ночам не шуметь! Водку не пьянствовать! Дисциплину не хулиганить! Вопросы есть?^^
						"Никак нет!" -- хотелось сказать в ответ, но я решил молча ретироваться.^^]],
						[[
						take ('roomKey');
						remove ('documents', me() );
						poff('hello2');
						poff('doc1');
						poff('doc2');
						poff('doc3');
						pon('whereIsMyRoom');
						back();
						]]};
		{ tag = 'whereIsMyRoom', false, always = true, 'Простите... А какой мой номер?',
						'-- Заблудился что ли, Сусанин?!'};
		{ always = true, 'Ну ладно. Я, пожалуй, пойду.',
						'', [[ back() ]] };
	};
};

boyDlg = dlg {
	nam = 'мальчик';
	hideinv = true;
	entered = 'Я подошёл к мальчику.';
	phr = {
		{ always = true, 'Привет.',
						'Мальчик увлечённо смотрит на ромашку.'};
		{ always = true, 'Что ты делаешь?',
						'Мальчик не отрывает глаз от ромашки.'};
		{ always = true, 'Зачем тебе эта ромашка?',
						'-- На самом деле её не существует.'};
		{ always = true, 'Ну ладно. Не буду тебя отвлекать.',
						'', [[ back() ]] };
	};
};

postManagerDlg = dlg {
	nam = 'почтовый работник';
	hideinv = true;
	entered = 'Я подошёл к почтовому работнику.';
	phr = {
		{ always = true, 'Добрый день!',
						'Глаза работника почты недоумённо уставились на меня. Во взгляде чувствовалось полное презрение ко всем живым существам на Земле. Меня прошиб озноб.'};
		{ tag = 'messageInPostoffice', true, always = true, 'Посмотрите, пожалуйста - есть что-нибудь на моё имя?',
						'-- Есть. Письмо. Заполняйте бланк.', code [[ 
						poff('messageInPostoffice');
						pon('blankInInv');
						take('cleanBlank457'); ]]};
		{ tag = 'sendArtifact', false, always = true, 'Здравствуйте. Могу ли я отправить посылку?',
						'-- Посылку? (Рассматривая артефакт) Да. Конечно. Сейчас отправим. Я всё заполню. Вы можете идти.', code [[
						postOffice.isEnd = 'yes';
						poff('sendArtifact');
						remove( 'artifact', me() ); ]]};
		{ tag = 'blankInInv', false, always = true, 'Посмотрите, пожалуйста - есть что-нибудь на моё имя?',
						'Работник почты смерил меня с ног до головы таким взглядом, что по спине побежали мурашки.'};
		{ always = true, 'Хорошая погода, не правда ли?',
						'Служитель почты выразил в своём взгляде всё, что думал обо мне, своей работе и об устройстве всего мира в целом.'};
		{ always = true, 'Извините за беспокойство. Я пойду.',
						'', [[ back() ]] };
	};
};